POST
Change Fee
Change the fee rate of a transaction in an attempt to accelerate its confirmation. Supported by: ETH, ERC20 tokens, CELO, RSK, ETC
Requirements:
- Transaction gas price must increase by at least 10 Gwei or 20% higher than the original transaction fee
- At least 15 minutes must have passed since original send
Path Params
-
coinstring requiredA cryptocurrency symbol or token ticker symbol -
walletIdstring required
Body Params
object
-
txidstring requiredTransaction ID of the transaction for which we are changing the fee for. -
feenumberThe new fee for the transaction. -
eip1559objectEIP-1559 transaction parameterseip1559 object
-
maxFeePerGasnumber requiredMax total gasPrice for EIP1559 transactions. Only for ETH and ERC20 tokens. -
maxPriorityFeePerGasnumber requiredMax priority tip price for EIP1559 transactions. Only for ETH and ERC20 tokens.
-
-
txTypestringUsetxTypeto change fee of address initialization transaction for V5 wallets
Responses
200
OK
Response Body
object
-
txidstringTransaction ID of the newly created transaction with increased fee rate.
400
Bad Request
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id